﻿using Abp.Application.Services;
using Abp.Application.Services.Dto;
using MineTec.ProManager.UserInfo.Dto;
using System;

namespace MineTec.ProManager.UserInfo
{
    public interface IUserInfoAppService : IAsyncCrudAppService<//定义了CRUD方法
             UserInfoDto, //用来展示用户信息
             Guid, //Course实体的主键
             PagedResultRequestDto, //获取用户信息的时候用于分页
             CreateUpdateUserInfoDto, //用于创建用户
             CreateUpdateUserInfoDto> //用于更新用户信息
    {
    }
}
