﻿using Abp.AspNetCore.Mvc.Views;
using Abp.Runtime.Session;
using Microsoft.AspNetCore.Mvc.Razor.Internal;

namespace MineTec.ProManager.Web.Views
{
    public abstract class ProManagerRazorPage<TModel> : AbpRazorPage<TModel>
    {
        [RazorInject]
        public IAbpSession AbpSession { get; set; }

        protected ProManagerRazorPage()
        {
            LocalizationSourceName = ProManagerConsts.LocalizationSourceName;
        }
    }
}
